Post Reply 

Can not run some (old) scripts

Aug 8, 2013, 11:16
Post: #1
Can not run some (old) scripts
Hi there,
I am an old German, so my English is not that good. Sorry
I have windows XP (SP3) and use GIMP 2.6.11.
Have installed lots of scripts ( _scm), plug-ins (_py and _exe).
Everything is fine with that.

My problem with some few scripts at this moment: e.g. (and there are some more)
-Filters– Alpha to Logo – ComicBook
-Filters- Alpha to Logo- Chrominium.. ( Ref. : http://registry.gimp.org/node/2488)

An error message comes up:
Error: eval: unbound variable: script-fu-util-image-resize-from-layer.

I checked all paths. There is no script like that on my PC.
And a similar one missing as well: script-fu-util-image-add-layers.
So, where can I find / download this scripts?
I will not change to Gimp 2.8 or any other version.
Does anyone have any ideas?
Thank you
foxi
Find all posts by this user
Quote this message in a reply
Aug 8, 2013, 13:05 (This post was last modified: Aug 8, 2013 13:08 by rich2005.)
Post: #2
RE: Can not run some (old) scripts
Quote:..And a similar one missing as well: script-fu-util-image-add-layers.
So, where can I find / download this scripts?

Those are internal procedures and come with Gimp, so nothing to download.

You can see a list of them menu: Help -> Procedure Browser

screenshot: http://i.imgur.com/3hXLBaD.jpg

The scripts referred to chromium/comic book are both working here XPsp2 & Gimp 2.6.11

They exist in 2 menu locations so it is worth trying
File -> Create -> Logos -> Chromium just to see if it works without an image.
screenshot http://i.imgur.com/3gqWtNY.jpg

Using the Alpha to logo menu,
silly question but is your text / drawing on a transparent layer?

The Chromium script is a bit temperamental here and does put the generated layers in a strange order, some have to be turned off for the full effect.

** https://www.gimp-forum.net/ now answering questions**
Find all posts by this user
Quote this message in a reply
Aug 8, 2013, 16:32
Post: #3
RE: Can not run some (old) scripts
Hi rich2005, hi Kevin,
thanks for your answer. There are no silly questions.
I am on transparent layers and I tried both ways (File-Create-Logos … or Filters –Alpha to Logo.)
Also ‘Alien-Glow / Alien –Neo / Glossy / Cow… / and more don’t work.
It seams that default scrips have this problem and the same error:
First :
Plug-In 'Farbverlauf ' left image undo in inconsistent state, closing open undo groups
Then: Fehler beim Ausführen von script-fu-blended-logo-alpha: Error: eval: unbound variable: script-fu-util-image-resize-from-layer.
Some words are in German. Confusing is that some headlines are translated in German, some not. Why?? - - But good for another topic
Regarding Procedure Browser.
There are lots of script-fu. But when I search only for part of ‚util’ –nothing appears.
Is that normal?
The Procedure is not in the C:\ -path.

All scripts have a similar context:
(define (apply-comic-logo-effect img
… bg-color)
(let* ( ... ... )
(gimp-context-push)

(script-fu-util-image-resize-from-layer img logo-layer)
(script-fu-util-image-add-layers img black-layer white-layer bg-layer)
(gimp-layer-translate white-layer posx posy)
. . .
That was my reason for a download. Reinstall is not a good idea for me.
More ideas?
Thank you
foxi
Find all posts by this user
Quote this message in a reply
Aug 8, 2013, 16:51
Post: #4
RE: Can not run some (old) scripts
(Aug 8, 2013 16:46)paynekj Wrote:  The procedure browser will only show procedures that have registered a menu entry.

As the error message is pointing to a procedure which doesn't have a menu entry, then it will not show it.

Do you have the file I mentioned: C:\Program Files\GIMP-2.0\share\gimp\2.0\scripts\script-fu-util.scm

Kevin

FWIW attached the script-fu-util.scm from my Gimp 2.6.11 pulled from the directory indicated by Kevin.

only contains 2 procedures
script-fu-util-image-resize-from-layer
script-fu-util-image-add-layers


Attached File(s)
.scm  script-fu-util.scm (Size: 1.62 KB / Downloads: 44)

** https://www.gimp-forum.net/ now answering questions**
Find all posts by this user
Quote this message in a reply
Aug 8, 2013, 21:41
Post: #5
RE: Can not run some (old) scripts
Hi, hello rich2005,
SOLVED. Everything is running.
Downloaded your file 'script-fu-util.scm' in my path and everything is OK.
Great help. Thanks very, very much.
Will start the next topic soon.
foxi
Btw , what is FWiW?
Find all posts by this user
Quote this message in a reply
Post Reply 


Possibly Related Threads...
Thread: Author Replies: Views: Last Post
Question How To Install Gimp Scripts? Dialga 2 628 Jun 29, 2014 21:48
Last Post: fluffybunny2
  Question with Scripts (results only displayed once i click in the window ceriseverte 2 580 Jun 24, 2013 08:54
Last Post: ceriseverte
  Upgrading - moving plugins and scripts BrianL 4 1,255 Jan 18, 2013 21:51
Last Post: BrianL
  HOW DO YOU RUN GIMP Mocha2007 0 846 May 22, 2012 22:34
Last Post: Mocha2007
  Python Scripts WIPIT 1 1,107 Nov 16, 2010 03:02
Last Post: WIPIT

Forum Jump:


GIMP ForumPortalArchiveContactTermsRSS